Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.pp.print
Class TextPrinter

    java.lang.Object
      gudusoft.gsqlparser.pp.print.TextPrinter

All Implemented Interfaces:
  IPrinter

    public class TextPrinter

extends java.lang.Object
implements IPrinter

the text print

Author:
  zhoujun

Constructor Summary
`TextPrinter()`

Method Summary
`java.io.OutputStream` | `getOut()` get the output stream
`void` | `print(TSourceToken t)` print the source token
`void` | `print(TSourceTokenList tl)` print the source token list
`void` | `setOut(java.io.OutputStream out)` set the output stream
`void` | `setOutputConfig(OutputConfig outputConfig)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextPrinter

    public TextPrinter()

Method Detail

### print

    public void print(TSourceTokenList tl)

  Description copied from interface: `IPrinter`
  print the source token list

  Specified by:
    `print` in interface `IPrinter`

### print

    public void print(TSourceToken t)

  Description copied from interface: `IPrinter`
  print the source token

  Specified by:
    `print` in interface `IPrinter`

### getOut

    public java.io.OutputStream getOut()

  Description copied from interface: `IPrinter`
  get the output stream

  Specified by:
    `getOut` in interface `IPrinter`
  Returns:

### setOut

    public void setOut(java.io.OutputStream out)

  Description copied from interface: `IPrinter`
  set the output stream

  Specified by:
    `setOut` in interface `IPrinter`

### setOutputConfig

    public void setOutputConfig(OutputConfig outputConfig)

  Specified by:
    `setOutputConfig` in interface `IPrinter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD